UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

29 lines (28 loc) 934 B
import { z } from 'zod'; export declare const partyVoiceTokenEndpoint: { readonly name: "Party Voice Token"; readonly description: "Get the party voice token"; readonly queryName: "Party_FetchVoiceToken"; readonly category: "Party Endpoints"; readonly type: "glz"; readonly suffix: "/parties/v1/parties/{party id}/voicetoken"; readonly riotRequirements: { readonly token: true; readonly entitlement: true; readonly clientPlatform: true; readonly clientVersion: true; }; readonly responses: { readonly '200': z.ZodObject<{ Token: z.ZodString; Room: z.ZodString; }, "strip", z.ZodTypeAny, { Token: string; Room: string; }, { Token: string; Room: string; }>; }; }; export type PartyVoiceTokenResponse = z.input<typeof partyVoiceTokenEndpoint.responses['200']>;